Token payroll

Update Settlement With Transaction Details

Records a transaction hash and link on a non-invoice settlement, marking it settled and emailing payment confirmations.

POSThttps://api.toku.com/stablecoin-payroll/update-settlement-with-transaction-details

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/update-settlement-with-transaction-details' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "tokenPayrollID": "string",
  "settlementOrderForContributorTokenPayrollID": "string",
  "transactionHash": "string",
  "transactionLink": "string"
}'
200 response
{
  "success": true,
  "message": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

tokenPayrollIDstringrequired

Allowed: at least 1 characters

settlementOrderForContributorTokenPayrollIDstringrequired

Allowed: at least 1 characters

transactionHashstringrequired

Allowed: at least 1 characters

transactionLinkstring<uri>required

Response

200Successful response
successbooleanrequired
messagestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits